<back to all web services

GetConnectors

The following routes are available for this service:
GET/RestApi/translations/connectors
Imports System
Imports System.IO
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Request
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Response

Namespace Global

    Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request

        Public Partial Class GetConnectors
        End Class
    End Namespace

    Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Response

        Public Partial Class ConnectorProxy
            Public Overridable Property Name As String
            Public Overridable Property Title As String
            Public Overridable Property Count As Integer
            Public Overridable Property Xliff As XliffProxy
            Public Overridable Property SupportedLanguages As IEnumerable(Of LanguagePairProxy)
        End Class

        Public Partial Class ConnectorsProxy
            Public Overridable Property Connectors As IEnumerable(Of ConnectorProxy)
            Public Overridable Property LanguagesMapping As IDictionary(Of String, String)
        End Class

        Public Partial Class LanguagePairProxy
            Public Overridable Property ActualSource As LanguageProxy
            Public Overridable Property Target As LanguageProxy
        End Class

        Public Partial Class LanguageProxy
            Public Overridable Property Code As String
            Public Overridable Property Name As String
            Public Overridable Property Count As Integer
        End Class

        Public Partial Class XliffProxy
            Public Overridable Property IsXliff As Boolean
            Public Overridable Property IsFtp As Boolean
            Public Overridable Property IsMachineTranslation As Boolean
        End Class
    End Namespace
End Namespace

VB.NET GetConnectors DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/connectors HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{}